org.apache.cassandra.cli

## Class CliCompiler.ANTLRNoCaseStringStream

- java.lang.Object
- - org.antlr.runtime.ANTLRStringStream
  - - org.apache.cassandra.cli.CliCompiler.ANTLRNoCaseStringStream

- All Implemented Interfaces:
    org.antlr.runtime.CharStream, org.antlr.runtime.IntStream
  Enclosing class:
    CliCompiler

      public static class CliCompiler.ANTLRNoCaseStringStream
      extends org.antlr.runtime.ANTLRStringStream

- - ### Field Summary

    - ### Fields inherited from class org.antlr.runtime.ANTLRStringStream

      `charPositionInLine, data, lastMarker, line, markDepth, markers, n, name, p`

    - ### Fields inherited from interface org.antlr.runtime.CharStream

      `EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CliCompiler.ANTLRNoCaseStringStream(java.lang.String input)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `LA(int i)`

    - ### Methods inherited from class org.antlr.runtime.ANTLRStringStream

      `consume, getCharPositionInLine, getLine, getSourceName, index, LT, mark, release, reset, rewind, rewind, seek, setCharPositionInLine, setLine, size, substring, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CliCompiler.ANTLRNoCaseStringStream

          public CliCompiler.ANTLRNoCaseStringStream(java.lang.String input)

  - ### Method Detail

    - #### LA

          public int LA(int i)

      Specified by:
        `LA` in interface `org.antlr.runtime.IntStream`
      Overrides:
        `LA` in class `org.antlr.runtime.ANTLRStringStream`

Copyright © 2014 The Apache Software Foundation